use super::schema::member_classes;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "member_classes"]
pub struct MemberClass {
  ///
  pub id: uuid::Uuid,
  ///
  pub parent_id: Option<uuid::Uuid>,
  ///
  pub name: String,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
  ///
  pub deleted_at: Option<i64>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub name_like: Option<String>,
  ///
  pub pagination: Option<bcr::models::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::models::pagination::Sort>>,
}
