use super::schema::sites;
use beteran_common_rust as bcr;

///
#[derive(Eq, Hash, Identifiable, Queryable, PartialEq, Debug, Clone)]
#[table_name = "sites"]
pub struct Site {
  ///
  pub id: uuid::Uuid,
  ///
  pub url: String,
  ///
  pub show: bool,
  ///
  pub can_use: bool,
  ///
  pub created_at: i64,
  ///
  pub updated_at: i64,
  ///
  pub deleted_at: Option<i64>,
}

///
#[derive(Debug, Clone)]
pub struct FindAll {
  ///
  pub show: Option<bool>,
  ///
  pub can_use: Option<bool>,
  ///
  pub url_like: Option<String>,
  ///
  pub pagination: Option<bcr::models::pagination::Pagination>,
  ///
  pub sorts: Option<Vec<bcr::models::pagination::Sort>>,
}
